curl --request GET \
--url https://take.app/api/v2/orders/{order_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://take.app/api/v2/orders/{order_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://take.app/api/v2/orders/{order_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "order",
"number": "<string>",
"name": "<string>",
"store": {
"id": "<string>",
"name": "<string>",
"alias": "<string>"
},
"order_status": "draft",
"payment_status": "pending",
"payment_method": "<string>",
"fulfillment_status": "unfulfilled",
"remark": "<string>",
"internal_note": "<string>",
"customer": {
"id": "<string>",
"object": "customer",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "<string>",
"address2": "<string>",
"district": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"line_items": [
{
"id": "<string>",
"object": "order_line_item",
"product_id": "<string>",
"variant_id": "<string>",
"name": "<string>",
"sku": "<string>",
"quantity": 123,
"quantity_float": 123,
"unit": "<string>",
"unit_value": 123,
"price": 123,
"total_amount": 123,
"options": [
{
"question_id": "<string>",
"question_text": "<string>",
"question_type": "<string>",
"answers": [
"<string>"
],
"prices": [
123
],
"quantities": [
123
],
"option_ids": [
"<string>"
],
"text": "<string>",
"image_urls": [
"<string>"
]
}
],
"image_urls": [
"<string>"
]
}
],
"answers": [
{
"id": "<string>",
"object": "order_answer",
"question_id": "<string>",
"question_text": "<string>",
"question_type": "QUESTION_TEXT",
"answers": [
"<string>"
],
"prices": [
123
],
"option_ids": [
"<string>"
],
"image_urls": [
"<string>"
]
}
],
"discounts": [
{
"id": "<string>",
"name": "<string>",
"amount": 123,
"type": "<string>"
}
],
"service": {
"title": "<string>",
"name": "<string>",
"price": 123,
"distance": 123,
"distance_unit": "<string>",
"location": {
"address1": "<string>",
"address2": "<string>",
"district": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123
}
},
"schedule": {
"date": "2023-11-07T05:31:56Z",
"time": "2023-11-07T05:31:56Z",
"time_end": "2023-11-07T05:31:56Z",
"timezone": "<string>"
},
"items_quantity": 123,
"items_amount": 123,
"answers_amount": 123,
"discounts_amount": 123,
"service_amount": 123,
"service_charge_amount": 123,
"tip_amount": 123,
"adjustment_amount": 123,
"total_before_tax": 123,
"tax_amount": 123,
"total_amount": 123,
"currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Get order
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Path Parameters
Response
Order
order Show child attributes
Show child attributes
draft, pending, confirmed, completed, cancelled pending, confirming, partial, paid, refunded, voided unfulfilled, ready, in_transit, out_for_delivery, fulfilled, partially_fulfilled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).
Integer amount in the smallest unit of the store currency (e.g. cents).